POLYGRAPH-CMP-LX(1)

NAME
polygraph-cmp-lx - log comparison tool

SYNOPSIS
cmp-lx.pl [--precision=percent] [--scope=important|all] <f1.lx> <f2.lx>

DESCRIPTION
Cmp-lx compares results from two tests and prints stats that differ significantly. With important scope some stats are ignored. The following events are not important:

  *.last

  *.min and *.max except for *.hist.min and *.hist.max

  *.mean if there is corresponding *.hist.mean

  rare events

Histogram and errors are important.

Rare events are events that happened in less than 0.1% of the cases where they could have occurred. Measurements related to such events are not important. Event rate is calculated using xact.started measurement as total count. List of events:

  basic offered hit miss cachable uncachable fill ims reload range
  head post put abort page ssl ftp 100_continue proxy_validations auth
  tunneled proxy_validation rep req

OPTIONS

--precision=percent
    difference threshold in percent, default: 10

--scope=important|all
    which stats to compare, default: important

COPYRIGHT
Copyright © 2003-2006 The Measurement Factory, Inc.

SEE ALSO
polygraph(7) - general information and a list of programs

http://www.web-polygraph.org/ - project web site